Vulnerabilidad de ejecución de código en Winzip

SeguridadVirus

WinZip Computing ha anunciado un problema de seguridad en su software Winzip v9.0 y anteriores, por el que se vería afectado por varias vulnerabilidades.

Winzip es, seguramente, el compresor más popular en estos momentos debido a su modo sencillo de trabajar con los archivos. Si bien su formato original de compresión es el ZIP, permite trabajar fácilmente con otros.

Las vulnerabilidades anunciadas podrían permitir a un atacante la ejecución de código en la máquina de la víctima, tanto local como remotamente. El descubrimiento ha sido detectado por el propio fabricante al realizar una revisión del código de Winzip.

De forma adicional se ha descubierto otra vulnerabilidad que podría permitir a un usuario local el introducir comandos de forma específica en la línea de comandos de winzip y conseguir un desbordamiento de buffer y la posterior ejecución de código. Este problema sería posible de explotar por la falta de validación en los argumentos recibidos por línea de comandos.

El fabricante recomienda la actualización inmediata a la versión 9.0 SR-1 que puede ser descargada desde la dirección: http://www.winzip.com/upgrade.htm

Winzip ha sufrido algunos cambios estéticos relacionados con la seguridad en esta nueva versión. Por ejemplo cuando un usuario descomprime un archivo con extensión .EXE, recibirá un aviso en el que se informa de la posibilidad de contener un virus.

Leer la biografía del autor  Ocultar la biografía del autor